#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.2.0.0
visibility:           public
id:                   hls-refactor-plugin-1.2.0.0-Fdnh8zBuBDmG50PoQJHRPL
key:                  hls-refactor-plugin-1.2.0.0-Fdnh8zBuBDmG50PoQJHRPL
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  743e49e9888d3453f258fa0840a3aadb
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.2.0.0-Fdnh8zBuBDmG50PoQJHRPL
depends:
    aeson-2.1.2.1-I893iKJ0oHPJ1jEwOVWed6 base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS deepseq-1.4.6.1
    dlist-1.0-HCxoMn9TirQDgPCFxho7O extra-1.7.16-KR1Y4egVNjKBcN1wDcWpKS
    ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-8yWzHJvfiEKAoU4TiFVPUI
    ghcide-1.10.0.0-7c9krgBmaEqEyGtNTEt4bF
    hls-graph-1.9.0.0-JdUlZol8TlX5JgxZobn6H
    hls-plugin-api-1.6.0.0-5o61tOk1rYK4T6l0JlvRvS
    lens-5.2.3-44yRBOAfB7iFMS16KrPjpp
    lsp-1.6.0.0-J94lOF1VLJ85AbgOSZqiHi mtl-2.2.2
    regex-tdfa-1.3.2.2-9zKmqEaVx0vIf4YwE2VWyu
    retrie-1.2.3-3oltK4vNMg26yZ86N7Gw1m
    syb-0.7.2.4-96PLGA9ePRoKEvwVQEltSr text-1.2.5.0
    text-rope-0.3-JGDgljI3qkj7fl1Q9uMT4k time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-HYi8F0R2X5DJGcgMLraHLn

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

